PUT /api/v202406/esaplace/dataRollup

Enables or disables data rollup for a list of ESA places

BulkEditDataRollupV202406 Permissions: BuildingsAndOrganizations (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

EsaPlaceDataRollupRequest
Property Description Type
dataRollup

A flag indicating whether or not this Place’s summary totals should “roll up”.

  • i.e. whether they should contribute to the Place’s parent’s (and other ancestors’) Required (defined)
boolean
placeIds The IDs of the Places to be updated. Each ID should appear no more than once. Cannot be Empty Required (defined) integer[]
Example Request Body application/json
{  "dataRollup": false,  "placeIds": [
    1
  ]
}

Responses

204 No Content The request succeeded. No content is returned in the response body.